## unattended-upgrades 0.62.2+squeeze1

=== test/Makefile ===
#!/usr/bin/make

all: check

check:
	find . -name 'test_*.py' | \
	while read file; do \
	    if [ -x $$file ]; then \
	    	python $$file ; \
	    fi \
	done

## unattended-upgrades 0.1ubuntu3

=== debian/changelog ===
unattended-upgrades (0.1ubuntu3) dapper; urgency=low

  * debian/dirs: /etc/apt.conf.d -> /etc/apt/apt.conf.d (Ubuntu: #44172)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 29 May 2006 08:34:08 +0200

unattended-upgrades (0.1ubuntu2) dapper; urgency=low

  * unattended-upgrade:
    - fix log output (ubuntu: #43773)
    - fix configuration by providing a example config (ubuntu: #43778)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 May 2006 20:20:54 +0200

unattended-upgrades (0.1ubuntu1) dapper; urgency=low

  * work with the latest python-apt api (ubuntu: #38958)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  8 May 2006 17:28:38 +0200

unattended-upgrades (0.0+bzr20051201) dapper; urgency=low

  * initial version

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Nov 2005 17:04:41 +0100

=== debian/control ===
Source: unattended-upgrades
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends-Indep: debhelper (>= 5.0.0), python, python-dev
Standards-Version: 3.6.2

Package: unattended-upgrades
Architecture: all
Depends: python, ${shlibs:Depends}, python2.4-apt (>= 0.6.14ubuntu2)
Description: Install security upgrades automatically 
 This package will download and install security upgrades automatically
 and unattended. It will take care to only install packages from the 
 configured origin and will check for conffile prompts.

## unattended-upgrades 0.1ubuntu6

=== debian/changelog ===
unattended-upgrades (0.1ubuntu6) edgy; urgency=low

  * debian/control:
    - only depend on python-apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 27 Jul 2006 15:03:46 +0200

unattended-upgrades (0.1ubuntu5) edgy; urgency=low

  * data/apt-check.py:
    - fix in the clear() method
  * data/50unattended-upgrades:
    - updated to include edgy as default 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  4 Jul 2006 11:23:09 +0200

unattended-upgrades (0.1ubuntu4) edgy; urgency=low

  * added misssing apt-utils dependency

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Jun 2006 09:36:43 +0200

=== debian/control ===
Source: unattended-upgrades
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends-Indep: debhelper (>= 5.0.0), python, python-dev
Standards-Version: 3.7.2

Package: unattended-upgrades
Architecture: all
Depends: python, ${shlibs:Depends}, python-apt (>= 0.6.14ubuntu2), apt-utils
Description: Install security upgrades automatically 
 This package will download and install security upgrades automatically
 and unattended. It will take care to only install packages from the 
 configured origin and will check for conffile prompts.

## unattended-upgrades 0.2

=== debian/changelog ===
unattended-upgrades (0.2) unstable; urgency=low

  * initial debian upload

 -- Michael Vogt <mvo@debian.org>  Mon,  2 Oct 2006 11:06:50 +0200

=== debian/control ===
Source: unattended-upgrades
Section: admin
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Build-Depends: debhelper (>= 5.0.37.2)
Build-Depends-Indep: python, python-dev
Standards-Version: 3.7.2

Package: unattended-upgrades
Architecture: all
Depends: python, ${shlibs:Depends}, python-apt (>= 0.6.19), apt-utils
Description: Install security upgrades automatically 
 This package will download and install security upgrades automatically
 and unattended. It will take care to only install packages from the 
 configured origin and will check for conffile prompts.

## unattended-upgrades 0.22ubuntu2

=== debian/changelog ===
unattended-upgrades (0.22ubuntu2) feisty; urgency=low

  * fail if not runing as root (LP#72514)
  * do not crash if a archive can not be found (LP#72249)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Mar 2007 17:14:47 +0100

unattended-upgrades (0.22ubuntu1) feisty; urgency=low

  * be more careful about checking if we actually have a 
    candidateOrigin (lp: #81055)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Jan 2007 11:38:44 +0100

unattended-upgrades (0.22ubuntu0) feisty; urgency=low

  * improved the description
  * added "Unattended-Upgrade::Mail" mail notification

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  8 Dec 2006 22:40:42 +0100

unattended-upgrades (0.21ubuntu0) feisty; urgency=low

  * data/50unattended-upgrades:
    - updated for feisty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  3 Nov 2006 22:31:02 +0100

## unattended-upgrades 0.23ubuntu3

=== debian/changelog ===
unattended-upgrades (0.23ubuntu3) feisty-proposed; urgency=low

  * added missing README (thanks to siretart, LP#109564)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Apr 2007 11:26:48 +0200

=== debian/control ===
Source: unattended-upgrades
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.37.2)
Build-Depends-Indep: python, python-dev
Standards-Version: 3.7.2

Package: unattended-upgrades
Architecture: all
Depends: python, ${shlibs:Depends}, python-apt (>= 0.6.14ubuntu2), apt-utils
Description: Install security upgrades automatically 
 This package will download and install security upgrades automatically
 and unattended. It will take care to only install packages from the 
 configured origin and will check for conffile prompts.
 . 
 This script is the backend for the APT::Periodic::Unattended-Upgrade 
 option.

## unattended-upgrades 0.25.1debian1-0.1

=== debian/changelog ===
unattended-upgrades (0.25.1debian1-0.1) unstable; urgency=low

  * Non-Maintainter Update (BSP)
  * Add dependency on apt (>=0.7) 
    (closes: #475611)

 -- Bas Zoetekouw <bas@debian.org>  Sat, 14 Jun 2008 14:55:51 +0200

unattended-upgrades (0.25.1debian1) unstable; urgency=low

  * documentation updated

 -- Michael Vogt <mvo@debian.org>  Thu, 07 Jun 2007 13:36:47 +0200

unattended-upgrades (0.25ubuntu1) gutsy; urgency=low

  * updated for gutsy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 May 2007 15:21:11 +0200

unattended-upgrades (0.24debian1) unstable; urgency=low

  * new upstream version

 -- Michael Vogt <mvo@debian.org>  Tue, 24 Apr 2007 23:34:15 +0200

=== debian/control ===
Source: unattended-upgrades
Section: admin
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Build-Depends: debhelper (>= 5.0.37.2)
Build-Depends-Indep: python, python-dev
Standards-Version: 3.7.2

Package: unattended-upgrades
Architecture: all
Depends: python, ${shlibs:Depends}, python-apt (>= 0.6.19), apt-utils, apt (>=0.7)
Description: Install security upgrades automatically 
 This package will download and install security upgrades automatically
 and unattended. It will take care to only install packages from the 
 configured origin and will check for conffile prompts.
 . 
 This script is the backend for the APT::Periodic::Unattended-Upgrade 
 option.

## unattended-upgrades 0.25.3ubuntu1

=== debian/changelog ===
unattended-upgrades (0.25.3ubuntu1) gutsy; urgency=low

  * merged patch from Tuomas Jormola to detect if 
    dpkg --force-conf(new|old) is set (LP: #135247)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 01 Oct 2007 13:53:05 +0200

unattended-upgrades (0.25.2ubuntu1) gutsy; urgency=low

  * do not run with broken cache
  * use ubuntu version number to keep auto-sync from coming for us

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Jul 2007 11:19:49 +0100

unattended-upgrades (0.25.1) gutsy; urgency=low

  * documentation updated

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 08 Jun 2007 14:50:10 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


PKG=unattended-upgrades
DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)



ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	./setup.py build

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	./setup.py clean --all
	find . -name "*.so" -exec rm {} \;
	find . -name "*.o" -exec rm {} \;
	find . -name "*.pyc" -exec rm {} \;

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/$(PKG).
	./setup.py install --prefix=$(CURDIR)/debian/$(PKG)/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
	dh_desktop
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


arch-build:
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
	tar -c --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## unattended-upgrades 0.30ubuntu1

=== debian/changelog ===
unattended-upgrades (0.30ubuntu1) hardy; urgency=low

  [ John Edwards ]
  * fix missing spaces in the log file (LP: #136452)
  * add better comments and examples to data/50unattended-upgrades

  [ Michael Vogt ]
  * README improved based on Johns suggestions (thanks!)
  * fix grammer and dated reference to dapper (LP: #140038),
    thanks to Christer Edwards for the suggestions
  * add "mailx" to suggests (LP: #137994)
  * show propper log output if mail is not available (LP: #137994)
  * show packages that are held back from the upgrade because of
    conffile prompt in the log as a warning (LP: #133551)
  * create logdir if it does not exist (LP: #87338)
  * fix error when installing from file:// uris (LP: #56832)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Mar 2008 11:57:17 +0100

unattended-upgrades (0.26ubuntu1) hardy; urgency=low

  * updated for hardy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Feb 2008 13:36:18 +0100

=== debian/control ===
Source: unattended-upgrades
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.37.2)
Build-Depends-Indep: python, python-dev
Standards-Version: 3.7.2

Package: unattended-upgrades
Architecture: all
Depends: python, ${shlibs:Depends}, python-apt (>= 0.6.14ubuntu2), apt-utils
Suggests: mailx
Description: Install security upgrades automatically 
 This package will download and install security upgrades automatically
 and unattended. It will take care to only install packages from the 
 configured origin and will check for conffile prompts.
 . 
 This script is the backend for the APT::Periodic::Unattended-Upgrade 
 option.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 
 PKG=unattended-upgrades
+DIST=$(shell /usr/bin/lsb_release -c -s)
 DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
 DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
 
@@ -96,6 +97,12 @@
 
 
 arch-build:
+	# update the default distro
+	sed -i "s/\"Ubuntu\ [a-z]*-security\"\;/\"Ubuntu $(DIST)-security\"\;/" data/50unattended-upgrades
+	sed -i  "s/\"Ubuntu\ [a-z]*-updates\"\;/\"Ubuntu $(DIST)-updates\"\;/" data/50unattended-upgrades
+	
+
+	# now do the rest
 	rm -rf debian/arch-build
 	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
 	tar -c --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)

## unattended-upgrades 0.32ubuntu2

=== debian/changelog ===
unattended-upgrades (0.32ubuntu2) intrepid; urgency=low

  * Updated for intrepid (and updated gutsy references too!)

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 13 Oct 2008 22:40:21 +1100

unattended-upgrades (0.32ubuntu1) intrepid; urgency=low

  * Add debconf question to ask whether automatic updates should be configured
    by default: add debconf template, postinst and postrm scripts that uses
    ucf to manage /etc/apt/apt.conf.d/20auto-upgrades since we don't want to
    enable automatic updates by default. (LP: #84918)

 -- Mathias Gug <mathiaz@ubuntu.com>  Wed, 08 Oct 2008 21:01:52 -0400

unattended-upgrades (0.31ubuntu1) intrepid; urgency=low

  [ Michael Vogt ]
  * fix i18n and add build-dependency to python-distutils-extra

  [ Brian Murray ]
  * string fix for "Automatically" in 50unattended-upgrades (LP: #209049)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 23 Jul 2008 19:39:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.37.2)
-Build-Depends-Indep: python, python-dev
+Build-Depends: debhelper (>= 5.0.37.2), po-debconf
+Build-Depends-Indep: python, python-dev, python-distutils-extra
 Standards-Version: 3.7.2
 
 Package: unattended-upgrades
 Architecture: all
-Depends: python, ${shlibs:Depends}, python-apt (>= 0.6.14ubuntu2), apt-utils
+Depends: python, ${shlibs:Depends}, python-apt (>= 0.6.14ubuntu2), apt-utils, ucf
 Suggests: mailx
 Description: Install security upgrades automatically 
  This package will download and install security upgrades automatically

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 	find . -name "*.o" -exec rm {} \;
 	find . -name "*.pyc" -exec rm {} \;
 
+	debconf-updatepo
 	dh_clean 
 
 install: build
@@ -74,7 +75,7 @@
 	dh_installexamples
 #	dh_install
 #	dh_installmenu
-#	dh_installdebconf	
+	dh_installdebconf	
 #	dh_installlogrotate
 #	dh_installemacsen
 #	dh_installpam

## unattended-upgrades 0.39

=== debian/changelog ===
unattended-upgrades (0.39) jaunty; urgency=low

  * debian/po/fr.po:
    - updated french translation (closes: #511373)
  * debian/po/es.po:
    - added spanish translation (closes: #512213)
  * fix crash in rewind_packages (closes: #517510)
  * debian/rules:
    - add --install-layout=deb to avoid that the binaries and
      the locales get installed into /usr/local

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Mar 2009 10:51:23 +0100

unattended-upgrades (0.38) jaunty; urgency=low

  * debian/po:
    - add ru.po debian template (closes: #509032)
    - add eu.po debian template (closes: #508983)
    - add fr.po debian template (closes: #508389)
    - add ja.po debian template (closes: #509343)
    - add fi.po debian template (closes: #509370)
  * po/eu.po:
    - added eu.po translation (closes: #508984)
    - added ja.po translation (closes: #509748)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 05 Jan 2009 10:38:34 +0100

unattended-upgrades (0.37) jaunty; urgency=low

  * better debconf template and description (thanks to the 
    debian-l10 team (closes: #508136)
  * debian/po/sv.po:
    - add sv.po debian template (closes: #508225)
  * debian/po/it.po:
    - add it.po debian template (closes: #508193)
  * debian/po/ja.po:
    - add ja.po debian template (closes: #508564)
  * debian/po/de.po:
    - add de.po debian template (closes: #508481)
  * po/fr.po:
    - add fr.po translation (closes: #508390)
  * po/cs.po:
    - add cs.po translation (closes: #508702)
  * po/pt.po:
    - add pt.po translation (closes: #508705)
  * unattended-upgrade:
    - better default permissions of the install log
      (closes: #507638)
    - only disable apt-listchanges if it is not set to
      'mail' (closes: #507639)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Dec 2008 09:46:42 +0100

unattended-upgrades (0.36) jaunty; urgency=low

  * make cache calculations quicker (thanks to Ben Hutchings,
    closes #475610)
  * add hostname in mail header, thanks to  Arthur de Jong
    (closes: #502171, LP: #245417)
  * better email summary of the performed actions
    (closes: #502351)
  * be more robust against failures to read the deb (LP: #227448)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 26 Nov 2008 21:31:42 +0100

unattended-upgrades (0.35) jaunty; urgency=low

  * updated for jaunty
  * improved README to make it clerer where the values of
    (origin, archive) come from (thanks to 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 26 Nov 2008 10:44:31 +0100

=== debian/control ===
Source: unattended-upgrades
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.37.2), po-debconf
Build-Depends-Indep: python, python-dev, python-distutils-extra
Standards-Version: 3.7.2

Package: unattended-upgrades
Architecture: all
Depends: python, ${shlibs:Depends}, python-apt (>= 0.7), apt-utils (>= 0.7), apt (>= 0.7), ucf
Suggests: mailx
Description: automatic installation of security upgrades
 This package can download and install security upgrades automatically
 and unattended, taking care to only install packages from the
 configured APT source, and checking for dpkg prompts about
 configuration file changes.
 .
 This script is the backend for the APT::Periodic::Unattended-Upgrade
 option.

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/$(PKG).
-	./setup.py install --prefix=$(CURDIR)/debian/$(PKG)/usr
+	./setup.py install --prefix=$(CURDIR)/debian/$(PKG)/usr --install-layout=deb
 
 
 # Build architecture-independent files here.

## unattended-upgrades 0.52ubuntu1

=== debian/changelog ===
unattended-upgrades (0.52ubuntu1) karmic; urgency=low

  * Add new option "Unattended-Upgrade::Automatic-Reboot" that 
    will automatically reboot without confirmation if the upgrade
    requires a reboot (off by default) LP: #400018
  * fix typo in filename (LP: #397810)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Jul 2009 13:36:14 +0200

unattended-upgrades (0.51ubuntu1) karmic; urgency=low

  * unattended-upgrade-shutdown:
    - deal with syslog not avaiable (LP: #396263)
  * pm/sleep.d/10_unatteded-upgrades-hibernate:
    - add script to ensure that installing is finished when
      hibernating (LP: #191514)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jul 2009 10:20:47 +0200

unattended-upgrades (0.50ubuntu2) karmic; urgency=low

  * Add sanity-check on clean to prevent uploads with Python syntax errors.
  * Fix syntax error in unattended-upgrades-shutdown (LP: #396134).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Jul 2009 17:34:25 +0100

unattended-upgrades (0.50ubuntu1) karmic; urgency=low

  * fix crash in ouput, thanks to Joerg Schuetter, closes: #535347
  * when running in --debug mode, also print debug output to stderr
  * add --dry-run option to simulate a run, but not actually install
    something 
  * when running with --debug, install packages instead of just
    simulating the install, --dry-run is avaialble for simulation
  * check for packages on hold and do not upgrade them (closes: #511677)
  * deal better with failures in pkgname_from_deb() (LP: #305046)
  * improved the README some more (LP: #311052)
  * fix locking problem (LP: #359010)
  * Contain unattended-upgrades log in the status mail as well 
    (LP: #245422)
  * ensure that unattended-upgrade is finished on shutdown 
    (LP: #191514)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 06 Jul 2009 09:26:48 +0200

unattended-upgrades (0.42ubuntu1) karmic; urgency=low

  * debian/po/sk.po:
    - new translation, thanks to helix84, closes: #532959
  * debian/po/ru.po:
    - updated, thanks to Yuri Kozlov, closes: #527111
  * debian/po/eu.po:
    - updated, thanks to Piarres Beobide, closes: #513436
  * debian/links
    - add symlink to make binary name and package name match, 
      closes: #428965

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Jun 2009 11:52:32 +0200

unattended-upgrades (0.41ubuntu1) karmic; urgency=low

  * fix lintian warnings
  * add man-page (closes: #394277)
  * debian/po/cs.po:
    - updated Czech translation (thanks to Vítězslav Kotrla)
      closes: #532136
  * add kept back packages to the status email (thanks to
    Maximilian Gaukler, closes: #526505)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Jun 2009 10:27:51 +0200

unattended-upgrades (0.40ubuntu1) karmic; urgency=low

  * data/50unattended-upgrades:
    - updated for karmic
  * unattended-upgrade:
    - use the new python-apt API to avoid deprecation 
      warnings
  * debian/control:
    - update depends on python-apt to (>= 0.7.9)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 May 2009 21:54:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Build-Depends: debhelper (>= 5.0.37.2), po-debconf
 Build-Depends-Indep: python, python-dev, python-distutils-extra
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 
 Package: unattended-upgrades
 Architecture: all
-Depends: python, ${shlibs:Depends}, python-apt (>= 0.7), apt-utils (>= 0.7), apt (>= 0.7), ucf
+Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, python, 
+ python-apt (>= 0.7.9), apt-utils (>= 0.7), apt (>= 0.7), ucf
 Suggests: mailx
 Description: automatic installation of security upgrades
  This package can download and install security upgrades automatically

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 DIST=$(shell /usr/bin/lsb_release -c -s)
 DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
 DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
+PYVER=$(shell pyversions -dv)
 
 
 
@@ -45,6 +46,17 @@
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
 	./setup.py clean --all
+
+	# Sanity-check before upload.
+	set -e; if [ -e /usr/lib/python$(PYVER)/py_compile.py ]; then \
+		for f in unattended-upgrade unattended-upgrade-shutdown; do \
+			ln -nsf $$f $$f.py; \
+			python$(PYVER) /usr/lib/python$(PYVER)/py_compile.py \
+				$$f.py; \
+			rm -f $$f.py; \
+		done; \
+	fi
+
 	find . -name "*.so" -exec rm {} \;
 	find . -name "*.o" -exec rm {} \;
 	find . -name "*.pyc" -exec rm {} \;
@@ -61,13 +73,8 @@
 	# Add here commands to install the package into debian/$(PKG).
 	./setup.py install --prefix=$(CURDIR)/debian/$(PKG)/usr --install-layout=deb
 
-
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
@@ -81,7 +88,7 @@
 #	dh_installpam
 	dh_installmime
 	dh_desktop
-#	dh_installinit
+	dh_installinit --no-start -- start 10 0 6 .
 #	dh_installcron
 #	dh_installinfo
 	dh_installman
@@ -101,7 +108,6 @@
 	# update the default distro
 	sed -i "s/\"Ubuntu\ [a-z]*-security\"\;/\"Ubuntu $(DIST)-security\"\;/" data/50unattended-upgrades
 	sed -i  "s/\"Ubuntu\ [a-z]*-updates\"\;/\"Ubuntu $(DIST)-updates\"\;/" data/50unattended-upgrades
-	
 
 	# now do the rest
 	rm -rf debian/arch-build

## unattended-upgrades 0.55ubuntu3

=== debian/changelog ===
unattended-upgrades (0.55ubuntu3) lucid; urgency=low

  [ Michael Vogt ]
  * add Vcs-Bzr header
  * unattended-upgrade-shutdown:
    - add information to plymouth shutdown screen if a 
      unattended-upgrade is in progress (LP: #506709)

  [ Loïc Minier ]
  * Fix typo in README.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Mar 2010 17:47:08 +0100

unattended-upgrades (0.55ubuntu2) lucid; urgency=low

  * Suggest bsd-mailx instead of mailx as mailx is a transitional package.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 21 Jan 2010 10:25:12 +0100

unattended-upgrades (0.55ubuntu1) lucid; urgency=low

  * updated for lucid
  * add new "Unattended-Upgrade::Remove-Unused-Dependencies"
    option that is off by default to allow removal of new unused
    dependencies
  * data/50unattended-upgrades:
    - add example setting for the apt bandwidth limit option
      (closes: #557258)
  * fix bug in conffile prompt check (LP: #336558)
  * lintian fixes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Jan 2010 13:27:53 +0100

## unattended-upgrades 0.55ubuntu4

=== debian/changelog ===
unattended-upgrades (0.55ubuntu4) lucid-proposed; urgency=low

  * unattended-upgrade:
    - fix rewind_cache if a pkg fails to get marked for upgrade 
      (LP: #571734)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 Apr 2010 16:39:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Build-Depends: debhelper (>= 5.0.37.2), po-debconf
-Build-Depends-Indep: python, python-dev, python-distutils-extra
-Standards-Version: 3.8.0
+Build-Depends-Indep: python, python-distutils-extra
+Standards-Version: 3.8.3
+Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/unattended-upgrades/ubuntu/
 
 Package: unattended-upgrades
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, python, 
  python-apt (>= 0.7.9), apt-utils (>= 0.7), apt (>= 0.7), ucf
-Suggests: mailx
+Suggests: bsd-mailx
 Description: automatic installation of security upgrades
  This package can download and install security upgrades automatically
  and unattended, taking care to only install packages from the

=== debian/rules ===
--- 
+++ 
@@ -81,16 +81,10 @@
 	dh_installdocs
 	dh_installexamples
 #	dh_install
-#	dh_installmenu
 	dh_installdebconf	
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
+	dh_installlogrotate
 	dh_installmime
-	dh_desktop
 	dh_installinit --no-start -- start 10 0 6 .
-#	dh_installcron
-#	dh_installinfo
 	dh_installman
 	dh_link
 	dh_strip

## unattended-upgrades 0.55ubuntu5

=== debian/changelog ===
unattended-upgrades (0.55ubuntu5) lucid-proposed; urgency=low

  * unattended-upgrade:
    - backport fix for a crash when a package has no conffiles 
      anymore (LP: #563912)
    - fix crash on download error (DescURI is not a valid attribute)
      LP: #591171

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Jan 2011 18:55:25 +0100

## unattended-upgrades 0.55ubuntu7

=== debian/changelog ===
unattended-upgrades (0.55ubuntu7) lucid-proposed; urgency=low

  * backport lp:~mvo/unattended-upgrades/unshadow-versions
    to fix versions in -updates shadowing versions in -security
    (LP: #891747)
  * print conffile hold-backs to stdout to ensure its part of
    the cron mail (LP: #773007), thanks to Jean-Baptiste Lallement

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Nov 2011 09:34:06 +0100

unattended-upgrades (0.55ubuntu6) lucid-proposed; urgency=low

  * unattended-upgrade:
    - fix conffile prompt detection on multiple conffiles (LP: #773007)
  * test/unattended_upgrade.py:
    - add symlink to unattended-upgrades needed for the test of the
      conffile_prompt() function
  * test/test_conffile.py:
    - backport the conffile test case to ensure the fix is correct
  * test/{var,etc}/
    - backport fake root for the test

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 29 Apr 2011 10:47:38 +0200

## unattended-upgrades 0.55ubuntu8

=== debian/changelog ===
unattended-upgrades (0.55ubuntu8) lucid-proposed; urgency=low

  * unattended-upgrade: ignore md5sum "newconffile" (LP: #936870)  

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Nov 2012 09:39:12 -0800

## unattended-upgrades 0.55ubuntu8+4.1trisquel1

=== debian/changelog ===
unattended-upgrades (0.55ubuntu8+4.1trisquel1) taranis; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 24 Jan 2013 01:10:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: unattended-upgrades
 Section: admin
 Priority: optional
-Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper (>= 5.0.37.2), po-debconf
 Build-Depends-Indep: python, python-distutils-extra
 Standards-Version: 3.8.3

## unattended-upgrades 0.62ubuntu1

=== debian/changelog ===
unattended-upgrades (0.62ubuntu1) maverick; urgency=low

  * merged fixes from debian/sid, notably allowing ":"
    as seperator for (origin, archive)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Aug 2010 18:45:07 +0200

unattended-upgrades (0.62) unstable; urgency=low

  [ Michael Vogt ]
  * updated Russian program translation, thanks to
    Yuri Kozlov, closes: #592646
  * updated pt_BR translations, thanks to Sergio Cipolla,
    closes: #593755

  [ Alex Owen ]
  * allow ":" as seperator in Unattended-Upgrade::Allowed-Origins
    (closes: #536754) 

 -- Michael Vogt <mvo@debian.org>  Thu, 26 Aug 2010 18:41:06 +0200

unattended-upgrades (0.61) unstable; urgency=low

  * merged changes from the ubuntu branch

 -- Michael Vogt <mvo@debian.org>  Mon, 02 Aug 2010 12:10:00 +0200

unattended-upgrades (0.60ubuntu3) maverick; urgency=low

  * merged changes from debian-sid
  * fix crash when the old package had a conffile but that 
    disappears in the new pacakge

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Aug 2010 12:08:21 +0200

unattended-upgrades (0.60ubuntu2) maverick; urgency=low

  * debian/control:
    - add missing lsb-release dependency
  * debian/control:
    - depend on python-apt (>= 0.7.90)
  * unattended-upgrade:
    - port to python-apt 0.8 API

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Aug 2010 10:29:46 +0200

unattended-upgrades (0.60ubuntu1) maverick; urgency=low

  * Include reboot required notification in sent emails (LP: #415202)
    and add test for it (thanks to Paul Elliott for the initial patch)
  * allow ${distro_id} and ${distro_codename} in 
    Unattended-Upgrade::Allowed-Origins and update conffile to it

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 May 2010 15:19:21 +0200

unattended-upgrades (0.42debian2) UNRELEASED; urgency=low

  * apply patch by Julian Andres Klode to move to the new
    python-apt 0.8 API (closes: #572088)

 -- Michael Vogt <mvo@debian.org>  Wed, 21 Apr 2010 10:19:05 +0200

unattended-upgrades (0.42debian1) unstable; urgency=low

  * debian/po/sk.po:
    - new translation, thanks to helix84, closes: #532959
  * debian/po/ru.po:
    - updated, thanks to Yuri Kozlov, closes: #527111
  * debian/po/eu.po:
    - updated, thanks to Piarres Beobide, closes: #513436
  * debian/links
    - add symlink to make binary name and package name match, 
      closes: #428965

 -- Michael Vogt <mvo@debian.org>  Thu, 25 Jun 2009 16:07:29 +0200

unattended-upgrades (0.41debian1) unstable; urgency=low

  * fix lintian warnings
  * add man-page (closes: #394277)
  * debian/po/cs.po:
    - updated Czech translation (thanks to Vítězslav Kotrla)
      closes: #532136
  * add kept back packages to the status email (thanks to
    Maximilian Gaukler, closes: #526505)

 -- Michael Vogt <mvo@debian.org>  Wed, 10 Jun 2009 20:36:39 +0200

unattended-upgrades (0.40debian1) unstable; urgency=low

  * unattended-upgrade:
    - use the new python-apt apt.Package.Version class when
      checking for the candidate origin (closes: #526791)
  * data/50unattended-upgrades:
    - updated for squeeze

 -- Michael Vogt <mvo@debian.org>  Wed, 06 May 2009 08:18:50 +0200

unattended-upgrades (0.39debian1) unstable; urgency=low

  * Merging new Ubuntu release

 -- Michael Vogt <mvo@debian.org>  Tue, 03 Mar 2009 08:38:08 +0100

unattended-upgrades (0.37debian1) unstable; urgency=low

  * debian/po:
    - add ru.po debian template (closes: #509032)
    - add eu.po debian template (closes: #508983)
    - add fr.po debian template (closes: #508389)
    - add ja.po debian template (closes: #509343)
    - add fi.po debian template (closes: #509370)
  * po/eu.po:
    - added eu.po translation (closes: #508984)
    - added ja.po translation (closes: #509748)

 -- Michael Vogt <mvo@debian.org>  Mon, 05 Jan 2009 10:34:14 +0100

unattended-upgrades (0.36debian1) unstable; urgency=low

  * merge from ubuntu:
    * make cache calculations quicker (thanks to Ben Hutchings,
      closes #475610)
    * add hostname in mail header, thanks to  Arthur de Jong
      (closes: #502171, LP: #245417)
    * better email summary of the performed actions
      (closes: #502351)
    * be more robust against failures to read the deb (LP: #227448)
  * better debconf template and description (thanks to the 
    debian-l10 team (closes: #508136)
  * debian/po/sv.po:
    - add sv.po debian template (closes: #508225)
  * debian/po/it.po:
    - add it.po debian template (closes: #508193)
  * debian/po/ja.po:
    - add ja.po debian template (closes: #508564)
  * debian/po/de.po:
    - add de.po debian template (closes: #508481)
  * po/fr.po:
    - add fr.po translation (closes: #508390)
  * po/cs.po:
    - add cs.po translation (closes: #508702)
  * po/pt.po:
    - add pt.po translation (closes: #508705)
  * unattended-upgrade:
    - better default permissions of the install log
      (closes: #507638)
    - only disable apt-listchanges if it is not set to
      'mail' (closes: #507639)

 -- Michael Vogt <mvo@debian.org>  Tue, 09 Dec 2008 01:45:31 +0100

unattended-upgrades (0.35debian1) unstable; urgency=low

  * merge from ubuntu (new upstream release)
  * add debconf prompt (priority medium) that asks if auto 
    updates should be enabled

 -- Michael Vogt <mvo@debian.org>  Wed, 26 Nov 2008 10:46:08 +0100

## unattended-upgrades 0.62ubuntu1.1

=== debian/changelog ===
unattended-upgrades (0.62ubuntu1.1) maverick-proposed; urgency=low

  * unattended-upgrade:
    - fix conffile prompt detection on multiple conffiles (LP: #773007)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 29 Apr 2011 10:36:00 +0200

## unattended-upgrades 0.62.2

=== debian/changelog ===
unattended-upgrades (0.62.2) unstable; urgency=low

  * debian/postinst:
    - add fixup code for installs with incorrect values from
      the stop value (really closes: #593987), thanks to
      Peter Reinholdtsen

 -- Michael Vogt <mvo@debian.org>  Thu, 18 Nov 2010 09:00:44 +0100

unattended-upgrades (0.62.1) unstable; urgency=low

  * debian/unattended-upgrades.init:
    - fix default stop value, thanks to Petter Reinholdtsen,
      closes: #593987

 -- Michael Vogt <mvo@debian.org>  Wed, 17 Nov 2010 21:26:10 +0100

## unattended-upgrades 0.62.2+squeeze1

=== debian/changelog ===
unattended-upgrades (0.62.2+squeeze1) squeeze-lts; urgency=high

  * fix missing package authentication check for apt
     configurations that force-{confold,confnew} (CVE-2015-1330)

 -- Michael Vogt <mvo@debian.org>  Mon, 29 Jun 2015 09:10:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: unattended-upgrades
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Build-Depends: debhelper (>= 5.0.37.2), po-debconf
 Build-Depends-Indep: python, python-distutils-extra
 Standards-Version: 3.8.3
@@ -10,7 +10,7 @@
 Package: unattended-upgrades
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, python, 
- python-apt (>= 0.7.9), apt-utils (>= 0.7), apt (>= 0.7), ucf
+ python-apt (>= 0.7.90), apt-utils, apt, ucf, lsb-release
 Suggests: bsd-mailx
 Description: automatic installation of security upgrades
  This package can download and install security upgrades automatically

## unattended-upgrades 0.72.1ubuntu1

=== debian/changelog ===
unattended-upgrades (0.72.1ubuntu1) natty; urgency=low

  * unattended-upgrade:
    - fix detection of unclean dpkg state if another package manager
      is working (LP: #754330)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Apr 2011 10:34:42 +0200

unattended-upgrades (0.72ubuntu1) natty; urgency=low

  * unattended-upgrade, data/50unattended-upgrades.{Debian,Ubuntu}:
    - automatically fix a interrupted dpkg (e.g. from a powerfailure)
      (LP: #584817)
    - add Unattended-Upgrade::AutoFixInterruptedDpkg to allow the admin
      to configure this option

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 07 Apr 2011 11:43:26 +0200

unattended-upgrades (0.71ubuntu1) natty; urgency=low

  * debian/po/da.po:
    - added, thanks toJoe Dalton (closes: #619320)
  * unattended-upgrade, test/test_conffile.py:
    - use apt_inst.DebFile.control.extractdata() instead of
      apt_inst.debExtractControl() to not hit the limit of the
      tag section parser (LP: #724994)
    - add regression test

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Apr 2011 11:44:48 +0200

unattended-upgrades (0.70ubuntu1) natty; urgency=low

  * merged lp:~mvo/unattended-upgrades/minimal-steps-upgrade
    - This allows performaing the upgrades in minimal chunks so
      that they can be interrupted (relatively) quickly with
      SIGUSR1
    - This feature is not enabled by default yet, in order
      to use it, uncomment the line in 50unattended-upgrades:
       Unattended-Upgrades::MinimalSteps "true";
    LP: #729214

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Mar 2011 11:49:02 +0100

unattended-upgrades (0.70) unstable; urgency=low

  * pm/sleep.d/10_unattended-upgrades-hibernate:
    - remove some unneeded lines from the script, thanks to
      Seth Arnold (LP: #595792)
  * test/test_mail.py:
    - add tests for apt-listchanges.conf parser
  * unattended-upgrade:
    - add new Unattended-Upgrade::Origins-Pattern option that is much
      more flexible than the previous Allowed-Origins. It supports 
      match patterns like:
      "origin=Debian,label=Debian-Security,component=main"
      "site=security.debian.org"
    - add support for escaping, so "origin=Google\, Inc,suite=stable"
      is possible (thanks to Alexander Reichle-Schmehl), closes: #609876
    - do not send a summary mail in --dry-run mode (closes: #609516)
  * make Package-Blacklist a regexp (thanks to Raymond Lee) and add
    test
  * README:
    - fixed outdated ubuntu centric info (closes: #611675)
  * po/fr.po:
    - updated, thanks to Steve Petruzzello (closes: #597606)
  * data/50unattended-upgrades.Debian:
    - add oldstable example (closes: #515980)
  * test/test_against_real_archive.py, test/aptroot:
    - add regression test that talks against the real archive
  * unattended-upgrade:
    - remove MyCache, apt.Cache has all the features we need
    - add rootdir option to better support automatic testing
  * unattended-upgrade:
    - create logdir based on configuration, thanks to Arno Schuring
      (closes: #615486)
    - support Unattended-Upgrade::Log{Dir,File} as a config option, but
      keep APT::UnattendedUpgrades::Log{Dir,File} for compatiblity
  * test/test_logdir.py:
    - add test for _setup_logging

 -- Michael Vogt <mvo@debian.org>  Fri, 04 Mar 2011 13:17:39 +0100

unattended-upgrades (0.65ubuntu2) natty; urgency=low

  * add missing lsb-release build-depends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Jan 2011 19:00:05 +0100

unattended-upgrades (0.65ubuntu1) natty; urgency=low

  [ Michael Vogt ]
  * debian/po/pt_BR.po:
    - updated, thanks to Adriano Rafael Gomes (closes: #607403)
  * debian/rules:
    - use different template depending on the build host 
      (ubuntu,debian)
    - remove obsolete arch-build target
  * data/50unattended-upgrades.Debian:
    - add debian specific template

  [ Nobuto MURATA ]
  * data/50unattended-upgrades.Ubuntu:
    - adapt repository format for Ubuntu, LP: #691886

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Jan 2011 15:57:20 +0100

unattended-upgrades (0.64ubuntu1) natty; urgency=low

  * debian/postinst:
    - fixup incorrect LSB Default-Start and Stop values

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 18 Nov 2010 09:35:39 +0100

unattended-upgrades (0.63ubuntu1) natty; urgency=low

  * debian/unattended-upgrades.init:
    - fix default stop value, thanks to Petter Reinholdtsen,
      closes: #593987
  * unattended-upgrade:
    - add new Unattended-Upgrade::MailOnlyOnError option that will
      make the script only send a mail when a error occured (thanks
      to Steffen Kittel)
  * test/test_mail.py:
    - add test for Unattended-Upgrade::MailOnlyOnError feature
  * README:
    - improve description for the Allowed-Origins option
  * test/Makefile:
    - run test on bzr-buildpackage and fail if one of the tests
      fail

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Nov 2010 15:18:37 +0100

## unattended-upgrades 0.72.1ubuntu1.1

=== test/Makefile ===
#!/usr/bin/make

all: check

check:
	set -e; \
	find . -name 'test_*.py' | \
	while read file; do \
	    echo "Running $$file"; \
	    if [ -x $$file ]; then \
	    	python $$file ; \
	    fi \
	done

clean:
	rm -rf ./aptroot/var/cache/
	rm -rf ./aptroot/var/lib/apt

=== debian/changelog ===
unattended-upgrades (0.72.1ubuntu1.1) natty-proposed; urgency=low

  * unattended-upgrade:
    - fix conffile prompt detection on multiple conffiles (LP: #773007)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Apr 2011 21:49:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.37.2), po-debconf
+Build-Depends: debhelper (>= 5.0.37.2), po-debconf, lsb-release
 Build-Depends-Indep: python, python-distutils-extra
 Standards-Version: 3.8.3
 Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/unattended-upgrades/ubuntu/

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 
 PKG=unattended-upgrades
-DIST=$(shell /usr/bin/lsb_release -c -s)
+DIST=$(shell /usr/bin/lsb_release -i -s)
 DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
 DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
 PYVER=$(shell pyversions -dv)
@@ -35,7 +35,8 @@
 	# Add here commands to compile the package.
 	#$(MAKE)
 	./setup.py build
-
+	# copy the right template into place
+	cp data/50unattended-upgrades.$(DIST) data/50unattended-upgrades
 	touch build-stamp
 
 clean: 
@@ -98,17 +99,5 @@
 	dh_builddeb
 
 
-arch-build:
-	# update the default distro
-	sed -i "s/\"Ubuntu\ [a-z]*-security\"\;/\"Ubuntu $(DIST)-security\"\;/" data/50unattended-upgrades
-	sed -i  "s/\"Ubuntu\ [a-z]*-updates\"\;/\"Ubuntu $(DIST)-updates\"\;/" data/50unattended-upgrades
-
-	# now do the rest
-	rm -rf debian/arch-build
-	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
-	tar -c --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
-	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))
-
-
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## unattended-upgrades 0.73ubuntu1

=== debian/changelog ===
unattended-upgrades (0.73ubuntu1) oneiric; urgency=low

  * debian/po/de.po:
    - updated, closes: #631316 (thanks to Helge Kreutzmann)
  * merged lp:~brian-murray/unattended-upgrades/init-eol, this
    makes the shutdown message nicer, thanks to Brian Murray
  * unattended-upgrade:
    - write progress information /var/run/unattended-upgrades.progres
      so that the progress can be displayed on shutdown
  * unattended-upgrade-shutdown:
    - show install progress during shutdown
  * po/unattended-upgrades.pot:
    - refresh
  * unattended-upgrade:
    - Do not upgrade apps if "XB-Upgrade-Requires: app-restart"
      is set in the debian/control file.
      This can be override with the option:
      Unattended-Upgrade::IgnoreAppsRequireRestart=true

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Jul 2011 16:44:51 +0200

unattended-upgrades (0.72.3) unstable; urgency=low

  * debian/rules:
    - run the original targets after override_dh_
  * test/create_debug_lock.py, unattended-upgrade:
    - fix two missing python-apt 0.8 transition issues
      (thanks to Reinhard Tartler, closes: #630192)

 -- Michael Vogt <mvo@debian.org>  Thu, 16 Jun 2011 09:13:49 +0200

unattended-upgrades (0.72.2) unstable; urgency=low

  * po/fr.po:
    - updated, thanks to to Steve Petruzzello (closes: #622718)
  * debian/po/ca.po:
    - added, thanks to Innocent De Marchi (closes: #628368)
  * unattended-upgrade:
    - fix conffile prompt detection (closes: #624148)
  * debian/rules, debian/control:
    - move to dh7
  * work with python-apt 0.8 (closes: #630192)
  * switch to dh_python2

 -- Michael Vogt <mvo@debian.org>  Wed, 15 Jun 2011 09:50:25 +0200

## unattended-upgrades 0.73ubuntu1.1

=== debian/changelog ===
unattended-upgrades (0.73ubuntu1.1) oneiric-proposed; urgency=low

  * print conffile hold-backs to stdout to ensure its part of
    the cron mail (LP: #773007), thanks to Jean-Baptiste Lallement
  * merged lp:~mvo/unattended-upgrades/unshadow-versions, this will
    ensure that higher versions in a non-origin branch do not "shadow"
    the versions from a desired origin (LP: #891747)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Nov 2011 18:00:57 +0100

=== debian/rules ===
#!/usr/bin/make -f

DIST=$(shell /usr/bin/lsb_release -i -s)

%:
	dh $@ --with python2

override_dh_auto_build:
	# copy the right template into place
	cp data/50unattended-upgrades.$(DIST) data/50unattended-upgrades
	dh_auto_build

override_dh_auto_clean:
	# Sanity-check before upload.
	set -e; if [ -e /usr/lib/python$(PYVER)/py_compile.py ]; then \
		for f in unattended-upgrade unattended-upgrade-shutdown; do \
			ln -nsf $$f $$f.py; \
			python$(PYVER) /usr/lib/python$(PYVER)/py_compile.py \
				$$f.py; \
			rm -f $$f.py; \
		done; \
	fi
	dh_auto_clean
